classification
Title: Line coverage for collectionts.abc.Set
Type: enhancement Stage: patch review
Components: Tests Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: agentultra, mark.dickinson, python-dev, rhettinger, stutzbach
Priority: normal Keywords: patch

Created on 2012-07-04 02:01 by agentultra, last changed 2014-05-26 01:29 by rhettinger. This issue is now closed.

Files
File name Uploaded Description Edit
set_abc_coverage.patch agentultra, 2012-07-04 02:01 review
set_abc_coverage.patch agentultra, 2012-07-06 01:19 review
Messages (5)
msg164632 - (view) Author: James King (agentultra) Date: 2012-07-04 02:01
I'm working on increasing the line-coverage of the tests for the Set ABC in the collections.abc module.

I encountered something a little funky IMO that I'm not sure is an issue or bug... but the __and__ method passes a generator object to the constructor of the Set subclass' constructor where the code seems to check for Iterator. This makes my naive tests for the '&' operator to fail. So I haven't included them in this patch, statisfied with the equality tests and isdisjoint.

First patch, advice welcome.
msg164642 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2012-07-04 10:22
Can you attach the failing tests for __and__?
msg164710 - (view) Author: James King (agentultra) Date: 2012-07-06 01:19
How about a working test instead? Let me know if it looks right.
msg219118 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-05-26 01:28
New changeset dc353953ce8b by Raymond Hettinger in branch 'default':
Issue 15246:  Improve test coverage for collections.abc.Set.  (Contributed by James King).
http://hg.python.org/cpython/rev/dc353953ce8b
msg219119 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-05-26 01:29
Thanks for the patch.  Nice work.
History
Date User Action Args
2014-05-26 01:29:17rhettingersetstatus: open -> closed
resolution: fixed
messages: + msg219119

versions: + Python 3.5, - Python 3.4
2014-05-26 01:28:50python-devsetnosy: + python-dev
messages: + msg219118
2012-07-07 06:09:52rhettingersetassignee: rhettinger
2012-07-06 01:19:21agentultrasetfiles: + set_abc_coverage.patch

messages: + msg164710
2012-07-04 10:22:04mark.dickinsonsetnosy: + mark.dickinson
messages: + msg164642
2012-07-04 09:48:09pitrousetnosy: + rhettinger, stutzbach

stage: patch review
2012-07-04 02:01:56agentultracreate